package com.yeejoin.amos.boot.module.hygf.api.Enum;
import lombok.AllArgsConstructor;
import lombok.Getter;
@Getter
@AllArgsConstructor
public enum  TaskTypeStationEnum {
    经销商审核("经销商审核", "经销商审核"),
    勘察("勘察", "勘察"),
    合同("合同", "合同"),
    重置密码("重置密码", "重置密码"),
    设置管理员("设置管理员", "设置管理员"),
    发货("发货", "发货"),
    施工("施工", "施工"),
    并网("并网", "并网"),
    验收("验收", "验收"),
    投融资("投融资", "投融资"),
    还款("还款", "还款");
    /**
     * 名称，描述
     */
    private String name;
    /**
     * 编码
     */
    private String code;

    public static TaskTypeStationEnum getNodeByCode(String code) {
        TaskTypeStationEnum taskTypeStationEnum = null;
        for(TaskTypeStationEnum type: TaskTypeStationEnum.values()) {
            if (type.getCode().equals(code)) {
                taskTypeStationEnum = type;
                break;
            }
        }
        return taskTypeStationEnum;
    }
}